[tool.poetry]
name = "fw-gear-breast-density-classifier"
version = "0.1.14"
description = "Awesome new gear"
authors = ["Flywheel <support@flywheel.io>"]
readme = "README.md"
license = "MIT"
keywords = [
    "Flywheel",
    "Gears"
]
repository = "https://gitlab.com/flywheel-io/flywheel-apps/templates/skeleton"
classifiers = [
    "Topic :: Scientific/Engineering"
]

[tool.poetry.dependencies]
python = "^3.8"
flywheel-gear-toolkit = "^0.2"
monai = "1.1.0"
monai-deploy-app-sdk = "0.5.1"
pydicom = "2.3.1"
highdicom = "0.20.0"
torch = "=2.0.0"

[tool.poetry.dev-dependencies]
pytest = "^6.1.2"
pytest-cov = "^3.0.0"
pytest-mock = "^3.8.2"


[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.core.masonry.api"


